dpkg-deb(1)

NOM
dpkg-deb - outil pour la manipulation des archives (.deb) des paquets Debian

SYNOPSIS
dpkg-deb [options] commande

DESCRIPTION
dpkg-deb crée un paquet, dépaquette une archive ou donne des renseignements sur les archives Debian

dpkg sert à installer ou à supprimer des paquets sur le système.

Il est possible d'exécuter dpkg-deb en appelant dpkg avec les options de dpkg-deb. dpkg comprend que dpkg-deb est appelé et le lance.

COMMANDES

-b, --build répertoire [archive|répertoire]
    Crée une archive Debian avec l'arborescence contenue dans répertoire. répertoire doit posséder un sous-répertoire DEBIAN qui contient les fichiers de contrôle tel que le fichier « control » lui-même. Ce répertoire n'apparaît pas dans l'archive de l'arborescence du paquet binaire ; mais les fichiers qu'il contient sont mis dans la zone de contrôle du paquet binaire. À moins de préciser --nocheck, dpkg-deb lit DEBIAN/control et l'analyse. Il cherche les erreurs de syntaxe et d'autres problèmes existants ; puis il affiche le nom du paquet binaire qu'il construit. dpkg-deb vérifie aussi les permissions des scripts du responsable et des autres fichiers qu'il trouve dans le répertoire de contrôle DEBIAN. Quand aucune archive n'est donnée, dpkg-deb appelle le paquet répertoire.deb. Si l'archive qui doit être créée existe déjà, elle est remplacée. Quand le second argument est un répertoire, dpkg-deb appelle le paquet paquet_version_arch.deb, ou bien paquet_version.deb si aucun champ Architecture n'est présent dans le fichier de contrôle du paquet. Quand un répertoire cible est précisé à la place d'un fichier, l'option --nocheck ne doit pas être utilisée (puisque dpkg-deb a besoin de lire et d'analyser le fichier de contrôle du paquet pour connaître le nom de fichier à utiliser).

-I, --info archive [nom-fichier-control...]
    Donne des renseignements sur une archive de paquet binaire. Quand aucun argument fichier-control n'est précisé, un résumé du contenu du paquet ainsi que son fichier « control » sont affichés. Quand un argument fichier-control est précisé, dpkg-deb affiche les éléments dans l'ordre d'apparition ; quand l'un des éléments n'est pas présent, il affiche un message d'erreur sur « stderr » et quitte avec un code égal à 2.

-W, --show archive
    Cette option donne des informations sur l'archive d'un paquet binaire selon le format spécifié par l'argument --showformat. Le format par défaut affiche le nom et la version du paquet sur une seule ligne, séparés par une tabulation.

-f, --field archive [nom-du-champ-de-control...]
    Extrait les renseignements du fichier « control » de l'archive du paquet binaire. Quand aucun argument control-fichier-champ n'est précisé, le fichier « control » est affiché en entier. Quand il y en a un, dpkg-deb affiche ses éléments en suivant leur ordre d'apparition dans le fichier « control ». Quand il y a plus d'un argument control-fichier-field, dpkg-deb fait précéder chacun par le nom de son champ (puis par un « deux-points » et une espace). L'absence des champs demandés ne provoque pas de message d'erreur.

-c, --contents archive
    Liste seulement l'arborescence des fichiers d'une archive de paquet. C'est en fait le résultat produit par la commande tar et une option d'énumération verbeuse.

-x, --extract archive répertoire
    Extrait l'arborescence des fichiers d'un paquet archive dans le répertoire spécifié. Il faut remarquer que l'extraction d'un paquet dans le répertoire root ne produit pas une installation correcte ! Utilisez dpkg pour l'installation des paquets. répertoire est créé si nécessaire (mais pas ses répertoires parents) et ses permissions sont modifiées pour correspondre au cnotenu du paquet.

-X, --vextract archive répertoire
    Comme --extract (-x), mais affiche la liste des fichiers au fur et à mesure qu'ils sont extraits.

--fsys-tarfile archive
    Extrait les données de l'arborescence d'un paquet binaire et les envoie sur la sortie standard dans le format propre à la commande tar. En combinant cette option avec la commande tar(1), on peut ainsi extraire un fichier précis d'une archive de paquet.

-e, --control archive [répertoire]
    Extrait les fichiers de contrôle d'une archive de paquet dans le répertoire spécifié. Quand aucun répertoire n'est précisé, on utilise un sous-répertoire DEBIAN du répertoire actuel. Le répertoire cible est créé si nécessaire (mais pas ses répertoires parents).

-h, --help
    Affiche un message d'aide puis quitte.

--version
    Affiche le numéro de version puis quitte.

OPTIONS

--showformat=format
    Cette option sert à spécifier le format de sortie de l'option --show. Ce format sera utilisé pour chaque paquet listé. Cet argument est une chaîne qui peut référencer tout champ avec la forme ${field-name} ; une liste des champs valables peut être facilement produite avec l'option -I sur le même paquet. Une explication complète des options de formatage (avec les séquences d'échappement et les espaces entre les champs) se trouve dans la page dpkg-query(1), option --showformat. Par défaut, la valeur de ce champ est ${Package}\t${Version}\n.

-zniveau_compression
    Indique le niveau de compression à fournir au logiciel de compression appelé en sous-main lors de la compression du paquet.

-Ztype_compression
    Specify which compression type to use when building a package. Allowed values are gzip, xz, bzip2, lzma, and none (default is gzip).

--new
    S'assure que dpkg-deb construit une archive avec le « nouveau » format. C'est le comportement par défaut.

--old
    Oblige dpkg-deb à construire une archive avec l'« ancien » format. Ce format, moins facilement compris par les outils non-Debian, est maintenant dépassé. On l'utilise seulement quand on construit des paquets qui doivent être analysés par des versions de dpkg plus anciennes que la version 0.93.76 (septembre 1995), qui fut produite uniquement pour le format « i386 a.out ».

--nocheck
    Empêche les vérifications normales de dpkg-deb --build quant au contenu proposé d'une archive. De cette façon, on peut construire n'importe quelle archive, aussi défectueuse soit-elle.

-D, --debug
    Permet les messages de débogage. Ce n'est pas très intéressant.

ENVIRONNEMENT

TMPDIR
    If set, dpkg-deb will use it as the directory in which to create temporary files and directories.

BOGUES
dpkg-deb -I paquet1.deb paquet2.deb se trompe. Il n'existe pas d'authentification des fichiers .deb. Il n'existe même pas de système de somme de contrôle immédiat. Les outils de haut niveau comme APT gèrent l'authentification des paquets .deb récupérés depuis un dépôt donné et la plupart des paquets fournissent désormais une comme de contrôle MD5 créée par debian/rules. Cependant, ceci n'est pas directement géré par les outils de plus bas niveau. N'essayez pas d'installer un logiciel avec dpkg-deb ! Vous devez utiliser dpkg pour être sûr que tous ses fichiers sont correctement mis en place, que les scripts du paquet sont exécutés et que son contenu et son état sont enregistrés.

VOIR AUSSI
deb(5), deb-control(5), dpkg(1), dselect(1).

AUTEUR
Copyright © 1995-1996 Ian Jackson

Ce programme est un logiciel libre ; voyez la « GNU General Public Licence » version 2 ou supérieure pour le copyright. Il n'y a PAS de garantie.

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.